## EXPORT_SPEC int ixmlDocument_createElementEx

## (IXML_Document* doc,
const DOMString tagName,
IXML_Element** rtElement )

> Creates a new Element node with the given tag name.

## Documentation

> Creates a new Element node with the given tag name. The new Element node has a `nodeName` of tagName and the `localName`, `prefix`, and `namespaceURI` set to `NULL`. To create an Element with a namespace, see ixmlDocument_createElementNS.

> The ixmlDocument_createElementEx API differs from the ixmlDocument_createElement API in that it returns an error code describing the reason for failure rather than just `NULL`.

Parameters:
  doc - The owner Document of the new node.
  tagName - The tag name of the new Element node.
  rtElement - Pointer to an Element where the new object will be stored.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: Either doc or tagName is `NULL`.
  - `IXML_INSUFFICIENT_MEMORY`: Not enough free memory exists to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.